> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search PayTags



## OpenAPI

````yaml /openapi/partner.openapi.json get /partner/paytag/search
openapi: 3.0.3
info:
  title: Partner API
  version: 1.0.0
  description: OpenAPI spec for Partner Terminal and Transaction API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Partner Terminal
  - name: Partner Transactions
  - name: Partner PayTag
  - name: Partner Wallet
paths:
  /partner/paytag/search:
    get:
      tags:
        - Partner PayTag
      summary: Search PayTags
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
          description: Identifier prefix to search by tag, email, or phone
      responses:
        '200':
          description: Paginated PayTag search results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPayTagResponse'
              example:
                items:
                  - Tag: janedoe
                    Name: Jane Doe
                    Email: jane@example.com
                    Phone: '08012345678'
                    ImageUrl: https://example.com/avatar.jpg
                count: 1
                limit: 20
                offset: 0
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  schemas:
    PaginatedPayTagResponse:
      type: object
      required:
        - items
        - count
        - limit
        - offset
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PayTag'
        count:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
    PayTag:
      description: Paytag profile.
      type: object
      properties:
        Tag:
          type: string
        Name:
          type: string
        Email:
          type: string
        Phone:
          type: string
        ImageUrl:
          type: string
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.